function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { useSetState } from 'ahooks';
import { Col, Row } from 'antd';
import dayjs from 'dayjs';
import { useRef } from 'react';
import { VmFactor, VmFactorList, VmInfoCollection, VmMap, VmTitle, VmWrapper } from "../../../_components";
import useSettings from "../../../_hooks/useSettings";
import { BaseService } from "../../api";
import "./index.less";
import todayOnlineDark from "../../imgs/todayOnline_dark.png";
import todayWorkDark from "../../imgs/todayWork_dark.png";
import todayWorkRateDark from "../../imgs/todayWorkRate_dark.png";
import todayOnline from "../../imgs/todayOnline.png";
import todayWork from "../../imgs/todayWork.png";
import todayWorkRate from "../../imgs/todayWorkRate.png";
import ListZymx from "./ListZymx";
import onlinePerson from "../../imgs/onlinePerson.png";
import onlinePersonDark from "../../imgs/onlinePerson_dark.png";
import schdulePerson from "../../imgs/schdulePerson.png";
import schdulePersonDark from "../../imgs/schdulePerson_dark.png";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var BaseInfo = function BaseInfo(props) {
  var id = props.id,
    customMapInfo = props.customMapInfo;
  var contentRef = useRef < HTMLDivElement > null;
  var _useSettings = useSettings(),
    theme = _useSettings.theme,
    isDark = _useSettings.isDark,
    mapInfo = _useSettings.mapInfo;
  var _useSetState = useSetState({
      date: dayjs()
    }),
    _useSetState2 = _slicedToArray(_useSetState, 2),
    state = _useSetState2[0],
    setState = _useSetState2[1];
  var date = state.date;
  var _BaseService$useBaseI = BaseService.useBaseInfo(id, 'wgs84'),
    baseInfo = _BaseService$useBaseI.baseInfo,
    mapPolygons = _BaseService$useBaseI.mapPolygons,
    numInfo = _BaseService$useBaseI.numInfo,
    mapPoints = _BaseService$useBaseI.mapPoints;
  var _BaseService$useWorkI = BaseService.useWorkInfo(id, date.format('YYYY-MM-DD')),
    workInfoRes = _BaseService$useWorkI.workInfoRes;
  var baseTabContent = /*#__PURE__*/_jsx("div", {
    className: "area-base-left--info",
    children: /*#__PURE__*/_jsx("div", {
      className: "area-base-left--infoList",
      children: /*#__PURE__*/_jsx(VmInfoCollection, {
        data: baseInfo,
        gap: 8,
        isValueCenter: true
      })
    })
  });
  var list = [{
    name: '当前排班人数',
    unit: '人',
    value: (numInfo === null || numInfo === void 0 ? void 0 : numInfo.shiftNum) || 0,
    img: isDark ? schdulePersonDark : schdulePerson,
    fontType: 'blue'
  }, {
    name: '当前在线人数',
    unit: '人',
    value: (numInfo === null || numInfo === void 0 ? void 0 : numInfo.onlineNum) || 0,
    img: isDark ? onlinePersonDark : onlinePerson,
    fontType: 'blue'
  }];
  return /*#__PURE__*/_jsxs("div", {
    className: "area-base ".concat(theme),
    children: [/*#__PURE__*/_jsx("div", {
      className: "area-base-left",
      children: /*#__PURE__*/_jsxs(VmWrapper, {
        title: "\u57FA\u672C\u4FE1\u606F",
        children: [baseTabContent, /*#__PURE__*/_jsx(VmTitle, {
          title: "\u5B9E\u65F6\u4FE1\u606F"
        }), /*#__PURE__*/_jsx(VmFactorList, {
          list: list
        }), /*#__PURE__*/_jsx("div", {
          className: "area-base-left--map",
          children: !!mapInfo.longitude && !!mapInfo.latitude && /*#__PURE__*/_jsx(VmMap, _objectSpread({
            mapCenter: [mapInfo.longitude, mapInfo.latitude],
            newMapPoints: mapPoints,
            mapPolygons: mapPolygons,
            geometryType: "polygon"
          }, customMapInfo))
        })]
      })
    }), /*#__PURE__*/_jsxs("div", {
      className: "area-base-right",
      children: [/*#__PURE__*/_jsx("div", {
        className: "area-base-right-top",
        children: /*#__PURE__*/_jsx(VmWrapper, {
          title: "\u4F5C\u4E1A\u7EDF\u8BA1",
          filterType: "datePicker",
          filterChange: function filterChange(date) {
            setState({
              date: date
            });
          },
          dateValue: date,
          children: /*#__PURE__*/_jsxs(Row, {
            gutter: 24,
            style: {
              marginTop: 32
            },
            children: [/*#__PURE__*/_jsx(Col, {
              span: 8,
              children: /*#__PURE__*/_jsx(VmFactor, {
                name: "\u603B\u6392\u73ED\u4EBA\u6570",
                unit: "\u4EBA",
                value: (workInfoRes === null || workInfoRes === void 0 ? void 0 : workInfoRes.totalNum) || 0,
                img: isDark ? todayWorkDark : todayWork,
                fontType: "blue"
              })
            }), /*#__PURE__*/_jsx(Col, {
              span: 8,
              children: /*#__PURE__*/_jsx(VmFactor, {
                name: "\u603B\u51FA\u52E4\u4EBA\u6570",
                unit: "\u4EBA",
                value: (workInfoRes === null || workInfoRes === void 0 ? void 0 : workInfoRes.normalNum) || 0,
                img: isDark ? todayOnlineDark : todayOnline,
                fontType: "green"
              })
            }), /*#__PURE__*/_jsx(Col, {
              span: 8,
              children: /*#__PURE__*/_jsx(VmFactor, {
                name: "\u51FA\u52E4\u7387",
                unit: "%",
                value: (workInfoRes === null || workInfoRes === void 0 ? void 0 : workInfoRes.rate) || 0,
                img: isDark ? todayWorkRateDark : todayWorkRate,
                fontType: "cyan"
              })
            })]
          })
        })
      }), /*#__PURE__*/_jsx("div", {
        className: "area-wgfx",
        children: /*#__PURE__*/_jsx(VmWrapper, {
          title: "\u4F5C\u4E1A\u660E\u7EC6",
          children: /*#__PURE__*/_jsx(ListZymx, {
            id: id,
            startDate: date.format('YYYY-MM-DD 00:00:00'),
            endDate: date.format('YYYY-MM-DD 23:59:59')
          })
        })
      })]
    })]
  });
};
export default BaseInfo;